package com.emdoor.scannerdemo.utils;

import android.annotation.SuppressLint;
import android.app.Application;
import android.content.Context;
import android.content.SharedPreferences;

public class SharedPreferencesUtil {
    private static SharedPreferences mSp;
    private static SharedPreferences.Editor mEditor;

    @SuppressLint("CommitPrefEdits")
    public static void init(Application app) {
        if (mSp == null) {
            mSp = app.getSharedPreferences("emdoorScannerDemo", Context.MODE_PRIVATE);
        }
        if (mEditor == null) {
            mEditor = mSp.edit();
        }
    }

    public static boolean getBoolean(String key, boolean defVal) {
        return mSp != null ? mSp.getBoolean(key, defVal) : defVal;
    }
    public static int getInt(String key, int defVal) {
        return mSp != null ? mSp.getInt(key, defVal) : defVal;
    }
    public static long getLong(String key, long defVal) {
        return mSp != null ? mSp.getLong(key, defVal) : defVal;
    }
    public static float getFloat(String key, float defVal) {
        return mSp != null ? mSp.getFloat(key, defVal) : defVal;
    }
    public static String getString(String key, String defVal) {
        return mSp != null ? mSp.getString(key, defVal) : defVal;
    }

    public static boolean put(String key, Object value) {
        if (value instanceof Boolean)
        {
            mEditor.putBoolean(key, (Boolean) value);
        }
        else if (value instanceof Integer || value instanceof Byte)
        {
            mEditor.putInt(key, (Integer) value);
        }
        else if (value instanceof Long)
        {
            mEditor.putLong(key, (Long) value);
        }
        else if (value instanceof Float)
        {
            mEditor.putFloat(key, (Float) value);
        }
        else if (value instanceof String)
        {
            mEditor.putString(key, (String) value);
        }
        else
        {
            mEditor.putString(key, value.toString());
        }
        return mEditor.commit();
    }
}
